Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: viewport in model space

  1. #1
    I could stop if I wanted to
    Join Date
    2001-07
    Posts
    319
    Login to Give a bone
    0

    Default viewport in model space

    Hello,
    I'm trying to have several viewports in model space. with the following configuration
    v1(0,0 0.66,0.25)
    v2(0,0.25 0.66,1)
    v3(0.66,0.0 1.0,1.0)
    I can split a viewport with the viewport method but how to join 2 viewports with a method as I'd like to use only vlisp.?
    I know that I can use "-vports" and "join" viewports together but again I'd like to use only method or properties.
    Thanks for any idea.

  2. #2
    I could stop if I wanted to
    Join Date
    2001-07
    Posts
    319
    Login to Give a bone
    0

    Default Re: viewport in model space

    Also could someone tells me how to get the statusId with vlisp? I can't see it neither in the collection of viewports nor in the viewport itself.

    From the help:
    object.ActiveViewport

    object

    Document
    The object or objects this property applies to.

    ActiveViewport

    Viewport object; read-write
    The active viewport for the drawing.

    Remarks

    Changes made to the current active viewport will become visible only after you reset the viewport as the active viewport. To reset the active viewport, simply call this property with the updated viewport object.

    Use the StatusID property to determine if a viewport is currently active.
    I was also wondering if there's a relation between
    the value of "cvport"
    and
    (vla-item(vlax-get(vlax-get(vlax-get-acad-object)'activedocument)'viewports)xx)

    Thanks for any input
    Last edited by clovis; 2008-10-07 at 06:55 AM.

  3. #3
    The Silent Type RobertB's Avatar
    Join Date
    2000-01
    Location
    Seattle WA USA
    Posts
    5,859
    Login to Give a bone
    0

    Default Re: viewport in model space

    Personally, I would create a "Work" layout with the viewport configuration desired, and simply import that layout in drawings where I want to use it.
    R. Robert Bell
    Design Technology Manager
    Stantec
    Opinions expressed are mine alone and do not reflect the views of Stantec.

  4. #4
    I could stop if I wanted to
    Join Date
    2001-07
    Posts
    319
    Login to Give a bone
    0

    Default Re: viewport in model space

    Hello
    Thanks for the advice but I suppose that when you talk about layout, you mean in PaperSpace or I want them in ModelSpace. Anyway, I'm almost there with my routine.
    Thanks

  5. #5
    The Silent Type RobertB's Avatar
    Join Date
    2000-01
    Location
    Seattle WA USA
    Posts
    5,859
    Login to Give a bone
    0

    Default Re: viewport in model space

    Quote Originally Posted by clovis View Post
    Hello
    Thanks for the advice but I suppose that when you talk about layout, you mean in PaperSpace or I want them in ModelSpace. Anyway, I'm almost there with my routine.
    Thanks
    That's my point... many people are locked into the idea that PaperSpace=Plot Sheet. However, products such as ACA and MEP actually provide model templates where the layout is a "Work" layout, with viewports that are not locked. Why do that instead of ModelSpace? It is simple.

    I can create and move and tweak the viewports in the layout with greater freedom than in ModelSpace. I rarely even go to ModelSpace these days.
    R. Robert Bell
    Design Technology Manager
    Stantec
    Opinions expressed are mine alone and do not reflect the views of Stantec.

  6. #6
    I could stop if I wanted to
    Join Date
    2001-07
    Posts
    319
    Login to Give a bone
    0

    Default Re: viewport in model space

    Hello Robert,
    I understand you. The point is that here the users are "afraid" of paper space.
    I used to use it and once I showed an example: they got scared. I've also written routines to retrieve/change the X/xp factor... but they just don't get it.
    So I'm stuck with model space.
    I can get the configuration that I want using a mix of vlisp and "command".
    The main problem is/was to modify a viewport:
    change width/height : ok
    change position in autocad ??
    it has no use, even with vba I can't do what I want : move the viewport in autocad. I can read the LowerCorner and the upper one but they're read only in vlisp and vba. They're the only coordinates that might have been usable to move the viewports.
    It's not a nice routine as you can see the configuration taking place but it's better than nothing. BTW It was for a colleague...as a gift.
    Thanks though

    Happy weekend !!

  7. #7
    Certifiable AUGI Addict
    Join Date
    2015-11
    Location
    Jo'burg SA
    Posts
    4,512
    Login to Give a bone
    0

    Default Re: viewport in model space

    If you want to export the VPORTS setup to another drawing, use the attached.

    Set the Tiled Viewports as you want them, manually. Then open the VPORTS dialog & give the current setup a name. VPExport to file, then VPImport from that file. Set the name you gave as current by Restoring it in VPORTS command.
    Attached Files Attached Files

  8. #8
    I could stop if I wanted to
    Join Date
    2001-07
    Posts
    319
    Login to Give a bone
    0

    Default Re: viewport in model space

    Hello Irneb,
    Thanks a lot for your help.!!
    I was stupid enough to avoid the good old (entmake) and keep searching a solution with vlisp. I'll check it out
    Last edited by clovis; 2008-10-13 at 06:00 AM.

  9. #9
    AUGI Addict kennet.sjoberg's Avatar
    Join Date
    2002-05
    Posts
    1,707
    Login to Give a bone
    0

    Default Re: viewport in model space

    Quote Originally Posted by clovis View Post
    Hello Irneb,
    Thanks a lot for your help.!!
    I was stupid enough to avoid the good old (entmake) and keep searching a solution with vlisp. I'll check it out
    But you may have problem
    From the help file
    “Notes on Using entmake
    You cannot create viewport objects with entmake.”

    : ) Happy Computing !


    kennet

  10. #10
    I could stop if I wanted to
    Join Date
    2001-07
    Posts
    319
    Login to Give a bone
    0

    Default Re: viewport in model space

    That's what I'm talking about ! it works as a dream!
    -Great-
    Thanks a lot
    above that I get a good example to improve my routine with a dcl. (almost) all my routine are "prompt" based.
    I indeed read about the problem with entmake NOT making a vport. That's why I turned to vlisp. I should have dig deeper.
    Bye
    Last edited by clovis; 2008-10-13 at 08:28 AM.

Page 1 of 2 12 LastLast

Similar Threads

  1. 2013: PDF Comes Through Viewport From Model Space Into Paper Space
    By Roderick in forum AutoCAD General
    Replies: 3
    Last Post: 2014-09-25, 09:45 PM
  2. Replies: 2
    Last Post: 2010-03-23, 07:22 PM
  3. Model Space vs. Viewport in Paperspace
    By jsitton in forum AutoCAD General
    Replies: 9
    Last Post: 2008-03-27, 03:19 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •